package assert

import (
	"reflect"
)

// Equal asserts that the two given values are equal
func Equal[T comparable](t test, expected T, actual T) {
	if expected == actual {
		return
	}

	t.Errorf(formatMessage("Equal", expected, actual))
	t.FailNow()
}

// NotEqual asserts that the two given values are not equal
func NotEqual[T comparable](t test, expected T, actual T) {
	if expected != actual {
		return
	}

	t.Errorf(formatMessage("NotEqual", expected, actual))
	t.FailNow()
}

// DeepEqual asserts that the two given values are deeply equal
func DeepEqual[T any](t test, expected T, actual T) {
	if reflect.DeepEqual(expected, actual) {
		return
	}

	t.Errorf(formatMessage("DeepEqual", expected, actual))
	t.FailNow()
}
